Package org.apache.commons.compress.harmony.unpack200.bytecode.forms

# Class IntRefForm

java.lang.Object
org.apache.commons.compress.harmony.unpack200.bytecode.forms.ByteCodeForm
org.apache.commons.compress.harmony.unpack200.bytecode.forms.ReferenceForm
org.apache.commons.compress.harmony.unpack200.bytecode.forms.SingleByteReferenceForm
org.apache.commons.compress.harmony.unpack200.bytecode.forms.IntRefForm

public class IntRefForm extends SingleByteReferenceForm
This class implements the byte code form for those bytecodes which have int references (and only int references).

- ## Field Summary

  ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.forms.SingleByteReferenceForm

  `widened`

  ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.forms.ByteCodeForm

  `byteCodeArray, byteCodesByName, WIDENED`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IntRefForm(int opcode, String name, int[] rewrite)`
  `IntRefForm(int opcode, String name, int[] rewrite, boolean widened)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected int`
  `getOffset(OperandManager operandManager)`
  `protected int`
  `getPoolID()`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.forms.SingleByteReferenceForm

  `nestedMustStartClassPool, setNestedEntries`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.forms.ReferenceForm

  `setByteCodeOperands`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.forms.ByteCodeForm

  `calculateOperandPosition, firstOperandIndex, fixUpByteCodeTargets, get, getName, getOpcode, getRewrite, getRewriteCopy, hasMultipleByteCodes, hasNoOperand, operandLength, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IntRefForm

    public IntRefForm(int opcode, String name, int[] rewrite)

  - ### IntRefForm

    public IntRefForm(int opcode, String name, int[] rewrite, boolean widened)

- ## Method Details

  - ### getOffset

    protected int getOffset(OperandManager operandManager)
    Specified by:
      `getOffset` in class `SingleByteReferenceForm`

  - ### getPoolID

    protected int getPoolID()
    Specified by:
      `getPoolID` in class `SingleByteReferenceForm`